%define upstream_name    Text-Fuzzy
%define upstream_version 0.29

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Partial string matching using edit distances
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl-devel

%description
This module calculates edit distances between words, and searches arrays
and files to find the nearest entry by edit distance. It handles both byte
strings and character strings (strings containing Unicode), treating each
Unicode character as a single entity.

    use Text::Fuzzy;
    use utf8;
    my $tf = Text::Fuzzy->new ('あいうえお☺');
    print $tf->distance ('うえお☺'), "\n";

produces output

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes README META.yml META.json
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Tue Jun 07 2022 umeabot <umeabot> 0.290.0-3.mga9
+ Revision: 1862461
- Rebuild for Perl 5.36

* Thu Mar 17 2022 umeabot <umeabot> 0.290.0-2.mga9
+ Revision: 1796452
- Mageia 9 Mass Rebuild

* Fri Aug 27 2021 tv <tv> 0.290.0-1.mga9
+ Revision: 1742788
- imported package perl-Text-Fuzzy


* Fri Aug 27 2021 Thierry Vignaud <tv@mageia.org> 0.290.0-1.mga9
- Import from CPAN
